UUIDPARSE(1)

BEZEICHNUNG
uuidparse - ein Dienstprogramm zum Auswerten eindeutiger Bezeichner

ÜBERSICHT
uuidparse [Optionen] UUID

BESCHREIBUNG
Dieser Befehl wertet Eingaben eindeutiger Bezeichner (UUIDs) entweder aus den Befehlszeilenargumenten oder aus der Standardeingabe aus. Die Eingaben werden durch Leerraum getrennt.

AUSGABE

  Varianten
NCS | »Network Computing System identifier«; dies waren die ursprünglichen UUIDs.
DCE | Die »Distributed Computing Environment«-UUIDs der Open Software Foundation (OSF).
Microsoft | Globaler eindeutiger Bezeichner (GUID) der Windows-Plattform von Microsoft.
andere | Unbekannte Variante. Üblicherweise ungültige Eingabedaten.

  Typen
nil | Spezieller Typ für Null in der Typdatei.
zeitbasiert | Basierend auf der DCE-Zeit.
DCE | Die DCE-Zeit und MAC-Adresse.
namensbasiert | RFC 4122 md5sum-Hash.
zufällig | Zufällig gemäß RFC 4122.
SHA1-basiert | SHA-1-Hash gemäß RFC 4122.
unbekannt | Unbekannter Typ. Üblicherweise ungültige Eingabedaten.

OPTIONEN

-J, --json
    verwendet das JSON-Ausgabeformat.

-n, --noheadings
    unterdrückt die Ausgabe einer Kopfzeile.

-o, --output
    legt die anzuzeigenden Spalten fest. Mit »--help« erhalten Sie eine Liste aller unterstützten Spalten.

-r, --raw
    verwendet das Rohformat für die Ausgabe.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

AUTOREN
Sami Kerola (kerolasa@iki.fi)

SIEHE AUCH
uuidgen(1), libuuid(3), RFC 4122 (https://tools.ietf.org/html/rfc4122)

VERFÜGBARKEIT
Dieser Befehl ist Teil des Pakets util-linux, welches aus dem Linux Kernel-Archiv (https://www.kernel.org/pub/linux/utils/util-linux/) heruntergeladen werden kann.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.